aboutsummaryrefslogtreecommitdiff
path: root/bin/pkill/tests/pkill-t_test.sh
diff options
context:
space:
mode:
authorJulio Merino <jmmv@FreeBSD.org>2014-03-19 12:46:04 +0000
committerJulio Merino <jmmv@FreeBSD.org>2014-03-19 12:46:04 +0000
commit65c3cfc1aad4e0570ac0f3f65ff5d7904c3ea3a5 (patch)
treebf59b42476e1a68940d50c9e4eef6e407f97449b /bin/pkill/tests/pkill-t_test.sh
parent3198603edd0a2b921e240b515f9d17efaf91101f (diff)
downloadsrc-65c3cfc1aad4e0570ac0f3f65ff5d7904c3ea3a5.tar.gz
src-65c3cfc1aad4e0570ac0f3f65ff5d7904c3ea3a5.zip
Migrate tools/regression/usr.bin/pkill to the new tests layout.
Interestingly, the pkill tool lives in bin, not usr.bin. Haven't bothered to check if this is because the tool moved or because the tests were originally added in the wrong place.
Notes
Notes: svn path=/head/; revision=263351
Diffstat (limited to 'bin/pkill/tests/pkill-t_test.sh')
-rw-r--r--bin/pkill/tests/pkill-t_test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/bin/pkill/tests/pkill-t_test.sh b/bin/pkill/tests/pkill-t_test.sh
new file mode 100644
index 000000000000..07f511bd1ad7
--- /dev/null
+++ b/bin/pkill/tests/pkill-t_test.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# $FreeBSD$
+
+base=`basename $0`
+
+echo "1..2"
+
+name="pkill -t <tty>"
+tty=`ps -x -o tty -p $$ | tail -1`
+if [ "$tty" = "??" -o "$tty" = "-" ]; then
+ tty="-"
+ ttyshort="-"
+else
+ case $tty in
+ pts/*) ttyshort=`echo $tty | cut -c 5-` ;;
+ *) ttyshort=`echo $tty | cut -c 4-` ;;
+ esac
+fi
+sleep=$(pwd)/sleep.txt
+ln -sf /bin/sleep $sleep
+$sleep 5 &
+sleep 0.3
+pkill -f -t $tty $sleep
+ec=$?
+case $ec in
+0)
+ echo "ok 1 - $name"
+ ;;
+*)
+ echo "not ok 1 - $name"
+ ;;
+esac
+$sleep 5 &
+sleep 0.3
+pkill -f -t $ttyshort $sleep
+ec=$?
+case $ec in
+0)
+ echo "ok 2 - $name"
+ ;;
+*)
+ echo "not ok 2 - $name"
+ ;;
+esac
+rm -f $sleep